Statistics
8876
20
0
21d
Badges
Dependencies

Arachne/Codeception

Build Status Coverage Status SensioLabs Insight VersionEye Latest stable Downloads this Month License

Integration of Nette framework to Codeception.

Installation

The best way to install Arachne/Codeception is using Composer.

composer require --dev arachne/codeception

Documentation

You can find the documentation here.

  • v0.7.6 v0.7.6

    • Fix annotation in NetteDIModule (fixes phpstan issues in other libraries)
  • v1.0.0-alpha.4 v1.0.0-alpha.4

    • Simplified Arachne\Codeception\Http\Request class
  • v1.0.0-alpha.3 v1.0.0-alpha.3

    • Added more type hints
    • Removed Nette\Object
  • v1.0.0-alpha.2 v1.0.0-alpha.2

    • Added PHP 7 strict types to all files
    • Removed copyright headers from src directory
  • v1.0.0-alpha.1 v1.0.0-alpha.1

    • NetteDIModule no longer compiles the Container before each test by default
    • Added newContainerForEachTest option (closes #3)
    • Removed configurator option
    • Removed DoctrineModule
    • Added phpstan to CI
    • Updated to PHP 7.1 and Nette 3.0
    • Added .editorconfig file
    • Added scripts section to composer.json
  • v0.7.5 v0.7.5

    • Fix code coverage measuring of nette/di extensions with DoctrineModule
  • v0.7.4 v0.7.4

  • v0.7.2 v0.7.2

    • Fix deletion of files created by doctrine/cache on windows.
  • v0.7.3 v0.7.3

    • Add removeDefaultExtensions option to NetteDIModule.
    • Fix compatibility with nette/bootstrap 2.4.
  • v0.7.1 v0.7.1

    • NetteDIModule: Add appDir and wwwDir parameters.
  • v0.7.0 v0.7.0

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com